<?php

return [
  'site' => [
    'label' => 'Dashboard',
    'icon' => 'dashboard',
    'current' => function (string $current): bool {
      // the links of all your custom menu entries
      $links = [
        'pages/clients',
        'pages/projects',
        'pages/inspirations',
        'pages/notifications',
        'pages/reunions'
      ];
      $path  = Kirby\Cms\App::instance()->path();
      return 
        $current === 'site' && 
        A::every($links, fn ($link) => Str::contains($path, $link) === false);
    }
  ],
  'clients' => [
    'label' => 'Clients',
    'icon'  => 'account',
    'link'  => 'pages/clients',
    'current' => function (string $current): bool {
      $path = Kirby\Cms\App::instance()->path();
      return Str::contains($path, 'pages/clients');
    }
  ],
  'projects' => [
    'label' => 'Projets',
    'icon'  => 'folder',
    'link'  => 'pages/projects',
    'current' => function (string $current): bool {
      $path = Kirby\Cms\App::instance()->path();
      return Str::contains($path, 'pages/projects');
    }
  ],
  'inspirations' => [
    'label' => 'Inspirations',
    'icon'  => 'images',
    'link'  => 'pages/inspirations',
    'current' => function (string $current): bool {
      $path = Kirby\Cms\App::instance()->path();
      return Str::contains($path, 'pages/inspirations');
    }
  ],
  '-',
  'notifications' => [
    'label' => 'Notifications',
    'icon'  => 'megaphone',
    'link'  => 'pages/notifications',
    'current' => function (string $current): bool {
      $path = Kirby\Cms\App::instance()->path();
      return Str::contains($path, 'pages/notifications');
    }
  ],
  'reunions' => [
    'label' => 'Réunions',
    'icon'  => 'calendar',
    'link'  => 'pages/reunions',
    'current' => function (string $current): bool {
      $path = Kirby\Cms\App::instance()->path();
      return Str::contains($path, 'pages/reunions');
    }
  ],
  '-',
  'users',
  'system'
];